# InputLocationMessageContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InputMessageContent / InputLocationMessageContent

# InputLocationMessageContent

(common) `data class InputLocationMessageContent : Locationed, Livable, InputMessageContent` (source)

### Constructors

(common)

#### <init>

`InputLocationMessageContent(latitude: Double, longitude: Double, livePeriod: Int? = null)`

### Properties

(common)

#### latitude

`val latitude: Double`

(common)

#### livePeriod

Period in SECONDS

`val livePeriod: Int?`

(common)

#### longitude

`val longitude: Double`